2014-09-28 19:53:33 +02:00
|
|
|
---
|
|
|
|
tests/misc/shuf-reservoir.sh | 3 +--
|
|
|
|
1 file changed, 1 insertion(+), 2 deletions(-)
|
|
|
|
|
|
|
|
Index: tests/misc/shuf-reservoir.sh
|
|
|
|
===================================================================
|
2016-02-11 12:31:45 +01:00
|
|
|
--- tests/misc/shuf-reservoir.sh.orig
|
|
|
|
+++ tests/misc/shuf-reservoir.sh
|
2014-09-28 19:53:33 +02:00
|
|
|
@@ -37,8 +37,7 @@ run_shuf_n()
|
|
|
|
|
|
|
|
# Critical memory-related bugs will cause a segfault here
|
|
|
|
# (with varying numbers of input/output lines)
|
|
|
|
- seq "$INPUT_LINES" | valgrind --leak-check=$leaklevel --error-exitcode=1 \
|
|
|
|
- shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
|
|
|
|
+ seq "$INPUT_LINES" | shuf -n "$OUTPUT_LINES" -o "out_${INPUT_LINES}_${OUTPUT_LINES}" || return 1
|
|
|
|
|
|
|
|
EXPECTED_LINES="$OUTPUT_LINES"
|
|
|
|
test "$INPUT_LINES" -lt "$OUTPUT_LINES" && EXPECTED_LINES="$INPUT_LINES"
|